package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.helper.Caption;

import javax.validation.constraints.NotNull;

public class RiwayatMasaKehamilanVO extends MedicalRecordTransactionVO {

	@NotNull(message = "Sifat Kehamilan tidak boleh kosong")
	@Caption(value = "Sifat Kehamilan")
	private SifatKehamilanVO sifatKehamilan;

	private Integer sifatKehamilanId;

	@NotNull(message = "Status Pemeriksaan Kehamilan tidak boleh kosong")
	@Caption(value = "Status Pemeriksaan Kehamilan")
	private StatusTeraturTidakVO statusPemeriksaanKehamilan;

	private Integer statusPemeriksaanKehamilanId;

	@NotNull(message = "Pemeriksa Kehamilan tidak boleh kosong")
	@Caption(value = "Pemeriksa Kehamilan")
	private PemeriksaanKehamilanVO pemeriksaKehamilan;

	private Integer pemeriksaKehamilanId;

	@NotNull(message = "Penyakit Ibu Hamil tidak boleh kosong")
	@Caption(value = "Penyakit Ibu Hamil")
	private PenyakitIbuHamilVO penyakitIbuHamil;

	private Integer penyakitIbuHamilId;

	@NotNull(message = "KB Sebelum Hamil tidak boleh kosong")
	@Caption(value = "KB Sebelum Hamil")
	private KbSebelumHamilVO kbSebelumHamil;

	private Integer kbSebelumHamilId;

	@Caption(value = "Masalah Saat Hamil")
	private String masalahSaatHamil;

	public PemeriksaanKehamilanVO getPemeriksaKehamilan() {
		return pemeriksaKehamilan;
	}

	public void setPemeriksaKehamilan(PemeriksaanKehamilanVO pemeriksaKehamilan) {
		this.pemeriksaKehamilan = pemeriksaKehamilan;
	}

	public PenyakitIbuHamilVO getPenyakitIbuHamil() {
		return penyakitIbuHamil;
	}

	public void setPenyakitIbuHamil(PenyakitIbuHamilVO penyakitIbuHamil) {
		this.penyakitIbuHamil = penyakitIbuHamil;
	}

	public KbSebelumHamilVO getKbSebelumHamil() {
		return kbSebelumHamil;
	}

	public void setKbSebelumHamil(KbSebelumHamilVO kbSebelumHamil) {
		this.kbSebelumHamil = kbSebelumHamil;
	}

	public String getMasalahSaatHamil() {
		return masalahSaatHamil;
	}

	public void setMasalahSaatHamil(String masalahSaatHamil) {
		this.masalahSaatHamil = masalahSaatHamil;
	}

	public SifatKehamilanVO getSifatKehamilan() {
		return sifatKehamilan;
	}

	public void setSifatKehamilan(SifatKehamilanVO sifatKehamilan) {
		this.sifatKehamilan = sifatKehamilan;
	}

	public StatusTeraturTidakVO getStatusPemeriksaanKehamilan() {
		return statusPemeriksaanKehamilan;
	}

	public void setStatusPemeriksaanKehamilan(StatusTeraturTidakVO statusPemeriksaanKehamilan) {
		this.statusPemeriksaanKehamilan = statusPemeriksaanKehamilan;
	}

}
